﻿using System;
using Syncfusion.SfSchedule.XForms;
using Xamarin.Forms;

namespace Schedule_UG
{
	public class MonthAppointments_SamplePage : ContentPage
	{
		SfSchedule schedule;
		ScheduleAppointmentCollection appointmentCollection;
		Button button3;

		public MonthAppointments_SamplePage()
		{
			//creating new instance for schedule
			schedule = new SfSchedule();
			appointmentCollection = new ScheduleAppointmentCollection();

			schedule.ScheduleView = ScheduleView.DayView;
			schedule.ShowAppointmentsInline = true;

			DateTime currentDate = DateTime.Now;

			//Creating new event
			ScheduleAppointment clientMeeting = new ScheduleAppointment();

			DateTime startTime = new DateTime(2017, 5, 1, 10, 0, 0);
			DateTime endTime = new DateTime(2017, 5, 1, 12, 0, 0);

			clientMeeting.StartTime = startTime;
			clientMeeting.EndTime = endTime;
			clientMeeting.Color = Color.Blue;
			clientMeeting.Subject = "ClientMeeting";
			appointmentCollection.Add(clientMeeting);

			//Creating new event
			ScheduleAppointment clientMeeting2 = new ScheduleAppointment();

			DateTime startTime2 = new DateTime(2017, 5, 2, 13, 0, 0);
			DateTime endTime2 = new DateTime(2017, 5, 2, 14, 0, 0);

			clientMeeting2.StartTime = startTime2;
			clientMeeting2.EndTime = endTime2;
			clientMeeting2.Color = Color.Green;
			clientMeeting2.Subject = "ClientMeeting2";
			appointmentCollection.Add(clientMeeting2);

			//Creating new event
			ScheduleAppointment clientMeeting3 = new ScheduleAppointment();


			DateTime startTime3 = new DateTime(2017, 5, 3, 15, 0, 0);
			DateTime endTime3 = new DateTime(2017, 5, 3, 17, 0, 0);

			clientMeeting3.StartTime = startTime3;
			clientMeeting3.EndTime = endTime3;
			clientMeeting3.Color = Color.Yellow;
			clientMeeting3.Subject = "ClientMeeting3";
			appointmentCollection.Add(clientMeeting3);

			//Creating new event
			ScheduleAppointment clientMeeting4 = new ScheduleAppointment();


			DateTime startTime4 = new DateTime(2017, 5, 4, 10, 0, 0);
			DateTime endTime4 = new DateTime(2017, 5, 4, 12, 0, 0);

			clientMeeting4.StartTime = startTime4;
			clientMeeting4.EndTime = endTime4;
			clientMeeting4.Color = Color.Blue;
			clientMeeting4.Subject = "ClientMeeting4";
			appointmentCollection.Add(clientMeeting4);

			//Creating new event
			ScheduleAppointment clientMeeting5 = new ScheduleAppointment();

			DateTime startTime5 = new DateTime(2017, 5, 5, 17, 0, 0);
			DateTime endTime5 = new DateTime(2017, 5, 5, 18, 0, 0);

			clientMeeting5.StartTime = startTime5;
			clientMeeting5.EndTime = endTime5;
			clientMeeting5.Color = Color.Blue;
			clientMeeting5.Subject = "ClientMeeting5";
			appointmentCollection.Add(clientMeeting5);

			//Creating new event
			ScheduleAppointment clientMeeting6 = new ScheduleAppointment();

			DateTime startTime6 = new DateTime(2017, 5, 8, 10, 0, 0);
			DateTime endTime6 = new DateTime(2017, 5, 8, 12, 0, 0);

			clientMeeting6.StartTime = startTime6;
			clientMeeting6.EndTime = endTime6;
			clientMeeting6.Color = Color.Pink;
			clientMeeting6.Subject = "ClientMeeting6";
			appointmentCollection.Add(clientMeeting6);

			//Creating new event
			ScheduleAppointment clientMeeting7 = new ScheduleAppointment();


			DateTime startTime7 = new DateTime(2017, 5, 10, 8, 0, 0);
			DateTime endTime7 = new DateTime(2017, 5, 10, 10, 0, 0);

			clientMeeting7.StartTime = startTime7;
			clientMeeting7.EndTime = endTime7;
			clientMeeting7.Color = Color.Green;
			clientMeeting7.Subject = "ClientMeeting7";
			appointmentCollection.Add(clientMeeting7);

			//Creating new event
			ScheduleAppointment clientMeeting8 = new ScheduleAppointment();


			DateTime startTime8 = new DateTime(2017, 5, 13, 10, 0, 0);
			DateTime endTime8 = new DateTime(2017, 5, 13, 12, 0, 0);

			clientMeeting8.StartTime = startTime8;
			clientMeeting8.EndTime = endTime8;
			clientMeeting8.Color = Color.Purple;
			clientMeeting8.Subject = "ClientMeeting8";
			appointmentCollection.Add(clientMeeting8);

			//Creating new event
			ScheduleAppointment clientMeeting9 = new ScheduleAppointment();

			DateTime startTime9 = new DateTime(2017, 5, 15, 9, 0, 0);
			DateTime endTime9 = new DateTime(2017, 5, 15, 14, 0, 0);

			clientMeeting9.StartTime = startTime9;
			clientMeeting9.EndTime = endTime9;
			clientMeeting9.Color = Color.Yellow;
			clientMeeting9.Subject = "ClientMeeting9";
			appointmentCollection.Add(clientMeeting9);

			//Creating new event
			ScheduleAppointment clientMeeting10 = new ScheduleAppointment();

			DateTime startTime10 = new DateTime(2017, 5, 16, 12, 0, 0);
			DateTime endTime10 = new DateTime(2017, 5, 16, 14, 0, 0);

			clientMeeting10.StartTime = startTime10;
			clientMeeting10.EndTime = endTime10;
			clientMeeting10.Color = Color.Green;
			clientMeeting10.Subject = "ClientMeeting10";
			appointmentCollection.Add(clientMeeting10);

			schedule.DataSource = appointmentCollection;

			schedule.OnMonthInlineAppointmentLoadedEvent += Schedule_OnMonthInlineAppointmentLoadedEvent;
			// UI View 
			StackLayout mainStack = new StackLayout();
			mainStack.Orientation = StackOrientation.Vertical;

			StackLayout buttonStack = new StackLayout();
			buttonStack.Orientation = StackOrientation.Horizontal;

			Button button1 = new Button();
			button1.Text = "day";
			button1.Clicked += Button1_Clicked;

			Button button2 = new Button();
			button2.Text = "week";
			button2.Clicked += Button2_Clicked;

			button3 = new Button();
			button3.Text = (schedule.DataSource as ScheduleAppointmentCollection).Count.ToString();
			button3.Clicked += Button3_Clicked;

			Button button4 = new Button();
			button4.Text = "month";
			button4.Clicked += Button4_Clicked;

			buttonStack.Children.Add(button1);
			buttonStack.Children.Add(button2);
			buttonStack.Children.Add(button3);
			buttonStack.Children.Add(button4);

			mainStack.Children.Add(buttonStack);
			mainStack.Children.Add(schedule);

			this.Content = mainStack;
		}

		void Schedule_OnMonthInlineAppointmentLoadedEvent(object sender, MonthInlineAppointmentLoadedEventArgs args)
		{
			Button button = new Button();
			button.Text = "CustomView";
			button.TextColor = Color.White;
			button.BackgroundColor = Color.Blue;
			args.view = button;
		}

		void Button1_Clicked(object sender, EventArgs e)
		{
			schedule.ScheduleView = ScheduleView.DayView;
		}
		void Button2_Clicked(object sender, EventArgs e)
		{
			
		}
		void Button3_Clicked(object sender, EventArgs e)
		{
			for (int i = 0; i < 10; i++)
			{
				//Creating new event
				ScheduleAppointment clientMeeting = new ScheduleAppointment();
				clientMeeting.StartTime = DateTime.Now.AddHours(i);
				clientMeeting.EndTime = DateTime.Now.AddHours(i).AddMinutes(30);
				clientMeeting.Color = Color.Blue;
				clientMeeting.Subject = "App" + i;
				appointmentCollection.Add(clientMeeting);
			}
			button3.Text = (schedule.DataSource as ScheduleAppointmentCollection).Count.ToString();
		}
		void Button4_Clicked(object sender, EventArgs e)
		{
			schedule.ScheduleView = ScheduleView.MonthView;
		}
	}
}



